中危 Libmspack 'mspack/mszipd.c'缓冲区溢出漏洞

CVE编号

CVE-2015-4470

利用情况

暂无

补丁情况

官方补丁

披露时间

2015-06-12
漏洞描述
Libmspack是一个可对微软的CAB、CHM和HLP等格式文件进行压缩和解压的库。

Libmspack中存在缓冲区溢出漏洞,该漏洞源于程序未能对用户提交的输入执行正确的边界检查。攻击者可利用该漏洞执行任意代码,也可能造成拒绝服务。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
http://www.cabextract.org.uk/libmspack/#download
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libmspack_project libmspack * Up to
(including)
0.4-3
运行在以下环境
系统 suse_11_SP3 cabextract * Up to
(excluding)
1.2-2.12.1
运行在以下环境
系统 suse_11_SP4 cabextract * Up to
(excluding)
1.2-2.12.1
运行在以下环境
系统 suse_12 cabextract * Up to
(excluding)
0.4-14.4
运行在以下环境
系统 suse_12_SP1 cabextract * Up to
(excluding)
0.4-14.4
阿里云评分
6.3
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况